devel/cvsd - The NetBSD Packages Collection

Run CVS pserver in a chroot-ed environment

cvsd is a wrapper program for cvs in pserver mode. It will run 'cvs
pserver' under a special uid/gid in a chroot jail.

cvsd is run as a daemon and is controlled through a configuration
file. It is relatively easy to configure and tools are provided
for easily setting up a rootjail.

This server can be useful if you want to run a public cvs pserver.
You should however be aware of the security limitations of running
a cvs pserver. If you want any kind of authentication you should
really consider using secure shell as a secure authentication
mechanism and transport. Passwords used in cvs pserver are transmitted
in plaintext and this wrapper won't change that.

This server adds a layer of security to cvs. cvs is a very powerful
tool and is capable of running scripts and other things. By running
cvs in a rootjail it is possible to limit the amount of "damage"
cvs can do if it is exploited.  It is generally a good idea to run
cvsd without any write permissions to any directory on the system.

Build dependencies

pkgtools/cwrappers devel/gmake lang/perl5

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 8.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 8.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 8.0i386cvsd-1.0.23nb10.tgz
NetBSD 8.0i386cvsd-1.0.23nb10.tgz
NetBSD 8.0i386cvsd-1.0.23nb10.tgz
NetBSD 8.0powerpccvsd-1.0.23nb10.tgz
NetBSD 8.0powerpccvsd-1.0.23nb10.tgz
NetBSD 8.0powerpccvsd-1.0.23nb10.tgz
NetBSD 8.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 8.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 8.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0aarch64cvsd-1.0.23nb10.tgz
NetBSD 9.0aarch64cvsd-1.0.23nb10.tgz
NetBSD 9.0aarch64cvsd-1.0.23nb10.tgz
NetBSD 9.0alphacvsd-1.0.23nb10.tgz
NetBSD 9.0alphacvsd-1.0.23nb10.tgz
NetBSD 9.0alphacvsd-1.0.23nb10.tgz
NetBSD 9.0earmcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv6hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv6hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv6hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv6hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 9.0earmv7hfcvsd-1.0.23nb10.tgz
NetBSD 9.0i386cvsd-1.0.23nb10.tgz
NetBSD 9.0i386cvsd-1.0.23nb10.tgz
NetBSD 9.0i386cvsd-1.0.23nb10.tgz
NetBSD 9.0mips64ebcvsd-1.0.23nb10.tgz
NetBSD 9.0mips64ebcvsd-1.0.23nb10.tgz
NetBSD 9.0mips64ebcvsd-1.0.23nb10.tgz
NetBSD 9.0powerpccvsd-1.0.23nb10.tgz
NetBSD 9.0powerpccvsd-1.0.23nb10.tgz
NetBSD 9.0sparc64cvsd-1.0.23nb10.tgz
NetBSD 9.0sparc64cvsd-1.0.23nb9.tgz
NetBSD 9.0sparc64cvsd-1.0.23nb10.tgz
NetBSD 9.0sparc64cvsd-1.0.23nb10.tgz
NetBSD 9.0sparccvsd-1.0.23nb10.tgz
NetBSD 9.0sparccvsd-1.0.23nb10.tgz
NetBSD 9.0sparccvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz
NetBSD 9.0x86_64cvsd-1.0.23nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.